summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorHeiko Schlittermann (HS12-RIPE) <hs@schlittermann.de>2016-02-24 23:59:26 +0100
committerHeiko Schlittermann (HS12-RIPE) <hs@schlittermann.de>2016-02-25 23:27:38 +0100
commit9677df8a76b314477c37b0fed7401dcfb1c268eb (patch)
treeff35db5dfb6d1b9ec85ad9ff464a851e404b45cc /src
parentbc3c7bb7d4aba3e563434e5627fe1f2176aa18c0 (diff)
Release: fix release script
- accept minor version number - allow to skip the build-of-documentation step - allow release of "any" version from anywhere - avoid calling "old" reversion scripts, create version.sh
Diffstat (limited to 'src')
-rwxr-xr-xsrc/scripts/reversion12
1 files changed, 10 insertions, 2 deletions
diff --git a/src/scripts/reversion b/src/scripts/reversion
index c4618868e..66c6efbe0 100755
--- a/src/scripts/reversion
+++ b/src/scripts/reversion
@@ -1,5 +1,8 @@
#!/bin/sh
+set -e
+export LC_ALL=C
+
# Update Exim's version header file.
# Compatibility gross-ness for non-POSIX systems
@@ -37,8 +40,13 @@ then
# Modify the output of git describe into separate parts for
# the name "exim" and the release and variant versions.
# Put a dot in the version number and remove a spurious g.
- set $(git describe --dirty=-XX --match 'exim-4*' |
- sed 's|-| |;s|_|.|;s|[-_]| _|;s|-g|-|')
+ if [ "$2" ]
+ then
+ description=$(git describe "$2")
+ else
+ description=$(git describe --dirty=-XX --match 'exim-4*')
+ fi
+ set $(echo "$description" | sed 's|-| |;s|_|.|;s|[-_]| _|;s|-g|-|')
# Only update if we need to
if [ "$2 $3" != "$EXIM_RELEASE_VERSION $EXIM_VARIANT_VERSION" ]
then